Subject: Re: [forces] The latest version for LFB lib XML files

From: "Chuanhuang Li" <[email-masked]>
Date: Tue, 1 Nov 2011 22:22:51 +0800

Hi, All
    I found two places i forgot to update in the XML.  These have been 
discussed before, and we have reached an consensus.

In EtherClassifier and BasicMetadataDispatch, all need add an output port : "ExecptionOut" 

These have been described in each LFB's data handling section. Just having not been updated 
in XML. Sorry!  
The attachments are the latest XML files.

Yours,
Chuanhuang

======= 2011-10-29 23:49:37 Jamal Hadi Salim, wrote: =======

>No need to release a new version just for that one change.
>Maybe we can have the XMLs available somewhere for download.
>Just put it in your recipe for next release to always go through the
>XML and make sure everything is fine.
>
>cheers,
>jamal
>
>On Sat, Oct 29, 2011 at 11:14 AM, Chuanhuang Li
><[email-masked]> wrote:
>> I found the error, Thanks!  That's because of the modification of GenericScheduler definition.
>> In the BaseType library,
>>      <dataTypeDef>
>>         <name>QueueStatsTableType</name>
>>         ......
>>           <typeRef>QueueDepthType</typeRef>
>>         </array>
>>      </dataTypeDef>
>>
>> should change to:
>>
>>      <dataTypeDef>
>>         <name>QueueStatsTableType</name>
>>         ......
>>           <typeRef>QueueStatsType</typeRef>
>>         </array>
>>      </dataTypeDef>
>>
>> Do we need release the new version right now?
>>
>> Yours,
>> Chuanhuang
>>
>> ======= 2011-10-29 21:44:37 Jamal Hadi Salim, wrote: =======
>>
>>>Chuanhuang,
>>>There is another issue with the XML.
>>>The xml you sent earlier defined and used QueueDepthType.
>>>But in the draft version 6, QueueDepthType is being used but not defined.
>>>
>>>Can you please make sure the two are in sync for next release?
>>>
>>>cheers,
>>>jamal
>>>
>>>On Wed, Oct 19, 2011 at 7:01 AM, Chuanhuang Li
>>><[email-masked]> wrote:
>>>> I have changed uint8 to uchar. I taked it for granted before. Thanks!
>>>>
>>>> Yours,
>>>> Chuanhuang
>>>>
>>>> ======= 2011-10-18 23:55:09 Jamal Hadi Salim, wrote: =======
>>>>
>>>>>Chuanhuang,
>>>>>
>>>>>Another little issue:
>>>>>You are using a  uint8 type which is not defined anywhere.
>>>>>Unfortunately, I dont think  tools that do schema validation will catch
>>>>>such issues or am i mistaken?
>>>>>
>>>>>cheers,
>>>>>jamal
>>>>>
>>>>>On Fri, Oct 14, 2011 at 9:16 AM, Chuanhuang Li
>>>>><[email-masked]> wrote:
>>>>>> Thanks! I found one error in each file. That's because i havn't used the
>>>>>> schema to check when i saved them.
>>>>>>
>>>>>> Yours,
>>>>>> Chuanhuang
>>>>>>
>>>>>> ======= 2011-10-14 20:24:35 Jamal Hadi Salim, wrote: =======
>>>>>>
>>>>>>>One important comment - please make absolutely sure this XML
>>>>>>>validates against the Model schema. Quick check indicates it does not.
>>>>>>>
>>>>>>>cheers,
>>>>>>>jamal
>>>>>>>
>>>>>>>On Fri, Oct 14, 2011 at 7:39 AM, Jamal Hadi Salim <[email-masked]> wrote:
>>>>>>>> Chuanhuang,
>>>>>>>>
>>>>>>>> Nothing obvious stand out in a cursory glance. I would say
>>>>>>>> go ahead and publish the draft and if anything interesting
>>>>>>>> shows up later we can fix it.
>>>>>>>>
>>>>>>>> cheers,
>>>>>>>> jamal
>>>>>>>>
>>>>>>>> On Thu, Oct 13, 2011 at 10:56 PM, Chuanhuang Li
>>>>>>>> <[email-masked]> wrote:
>>>>>>>>> Hi, All
>>>>>>>>>   The attachments are the latest version XML files for LFB lib.
>>>>>>>>>   Jamal, can you help us to check these files, especially the
>>>>>>>>> synopsis field of all elements. Thank you very much!
>>>>>>>>>
>>>>>>>>> Yours,
>>>>>>>>> Chuanhuang
>>>>>>>>
>>>>>>
>>>>
>>